Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.config.phase
Class SolverPhaseConfig

    java.lang.Object
      org.optaplanner.core.config.phase.SolverPhaseConfig

Direct Known Subclasses:
  BruteForceSolverPhaseConfig, ConstructionHeuristicSolverPhaseConfig, CustomSolverPhaseConfig, LocalSearchSolverPhaseConfig

    public abstract class SolverPhaseConfig

extends Object

Constructor Summary
`SolverPhaseConfig()`

Method Summary
`abstract SolverPhase` | `buildSolverPhase(int phaseIndex, HeuristicConfigPolicy solverConfigPolicy, Termination solverTermination)`
`protected void` | `configureSolverPhase(AbstractSolverPhase solverPhase, int phaseIndex, HeuristicConfigPolicy configPolicy, Termination solverTermination)`
`TerminationConfig` | `getTerminationConfig()`
`void` | `inherit(SolverPhaseConfig inheritedConfig)`
`void` | `setTerminationConfig(TerminationConfig terminationConfig)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SolverPhaseConfig

    public SolverPhaseConfig()

Method Detail

### getTerminationConfig

    public TerminationConfig getTerminationConfig()

### setTerminationConfig

    public void setTerminationConfig(TerminationConfig terminationConfig)

### buildSolverPhase

    public abstract SolverPhase buildSolverPhase(int phaseIndex,
                                                 HeuristicConfigPolicy solverConfigPolicy,
                                                 Termination solverTermination)

### configureSolverPhase

    protected void configureSolverPhase(AbstractSolverPhase solverPhase,
                                        int phaseIndex,
                                        HeuristicConfigPolicy configPolicy,
                                        Termination solverTermination)

### inherit

    public void inherit(SolverPhaseConfig inheritedConfig)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.